#ifndef _INITIALIZE_H
#define _INITIALIZE_H

void initialize(char working_folder[n_file_chars]);

void initialize_constants();

void initialize_electron_parameters(char electron_parameters[n_file_chars], char working_folder[n_file_chars]);

void initialize_simulation_parameters(char sim_parameters[n_file_chars], char working_folder[n_file_chars], double * T_hot, double * T_cold);

void initialize_phonon_parameters(char phonon_parameters[n_file_chars], char working_folder[n_file_chars]);

void initialize_e_distributions();

void initialize_temperatures(double T_hot, double T_cold);

void initialize_scattering();

void initialize_generation();

void initialize_arrays();

#endif

/*

void initialize(char working_folder[n_file_chars], Simulation_control* simulation_control, Phonons* phonons,
Electrons* electrons, Tables* tables, Output_struct * outputs);

void initialize_constants();

void initialize_electron_parameters(char electron_parameters[n_file_chars], char working_folder[n_file_chars], Electrons * electrons);

void initialize_simulation_parameters(char sim_parameters[n_file_chars], char working_folder[n_file_chars],
Simulation_control * simulation_control, double * T_hot, double * T_cold);

void initialize_phonon_parameters(char phonon_parameters[n_file_chars], char working_folder[n_file_chars], int n_interactions, Phonons * phonons);

void initialize_e_distributions(Simulation_control simulation_control, Electrons* electrons);

void initialize_temperatures(Simulation_control simulation_control, Phonons * phonons, Electrons * electrons, double T_hot, double T_cold);

void initialize_scattering(Simulation_control simulation_control, double ** scattering_table, double* Mpo, double *EpO, double * density_e_states);

void initialize_generation(Simulation_control simulation_control, double ** generation_table, double * Mpo, double * EpO, double * density_e_states, double bandgap);

void initialize_arrays(Simulation_control simulation_control, Phonons* phonons, Electrons* electrons, Tables* tables, Output_struct* outputs);



*/