#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "globals.h"
#include "file_handling.h"

void create_file(char file[n_file_chars], char folder[n_file_chars], char file_type[n_file_chars],char run_type[n_file_chars], int i_o){
	strcpy(file,folder);
	strcat(file,file_type);
	strcat(file,run_type);
	if(i_o){
		strcat(file,".out");
	}
	else{
		strcat(file,".in");
	}
}

void read_input_file(double * dvar,  int * ivar, char * var_name, char * var_code, int var_size,char input_file_name[n_file_chars]){
	
	FILE *ifp;
	char string_read[50];
	char *end;
	int var_read=0;
	int i;
	double dtemp;
	int itemp;

	char output_code[n_file_chars] = "Input %s: = ";
	strcat(output_code, var_code);
	strcat(output_code,"\n");

	ifp=fopen(input_file_name,"r");

	if (ifp == NULL) {
	  fprintf(stderr, "Can't open input file! %s\n",input_file_name);
	  exit(1);
	}

	do{
		end=fgets(string_read,50,ifp);
		if(end == NULL){
			break;
		}

		if (strstr(end,var_name)!=NULL) {

			for(i=0;i<var_size;i++){
				if (var_code == int_code){

					fscanf(ifp,var_code,&itemp);
					printf(output_code,var_name,itemp);
					ivar[i] = itemp; }

				else { 

					fscanf(ifp, var_code, &dtemp);
					printf(output_code, var_name, dtemp);
					dvar[i] = dtemp;
				}

				var_read++;
			}
		}
	
	
	}while(1);

	if(var_read!=var_size){
		printf("Missing variable %s -- exiting\n",var_name);
		exit(1);
	}

	fclose(ifp);

return;
}
