#include <math.h>
#include "globals.h"
#include "dispersion.h"

double energy_to_momentum(double en){
	double k;

	k=sqrt(_2M_invH2*en);

	return k;
}

double momentum_to_energy(double kmag){
	double en;

	en=kmag*kmag*H2_inv2M;

	return en;
}

void edos() {

	int i;
	DE_CONST = 8 * PI*sqrt(2.0*pow(electrons.me, 3)) / pow(HBAR, 3)*VC;
	for (i = 0; i<simulation.ne; i++) {
		electrons.dos[i] = DE_CONST*sqrt(i*simulation.de);
	}
	DE_CONST = 4.0*pow(2.0*PI*electrons.me*KB / HBAR / HBAR, 3);
	return;
}