#include <stdlib.h>
#include <math.h>
#include <float.h>
#include "double_math.h"

void int_1d_dynamic(int ** ar, int N){

	int i;

	*ar = malloc(sizeof(int) * N);
	if (*ar){
		for (i = 0; i < N; i++){
			ar[0][i] = 0;
		}
	}

	return;
}

void int_2d_dynamic(int *** ar, int N, int M){

	int i; int j;

	*ar = malloc(sizeof(int*) * N);
	if (*ar){
		for (i = 0; i < N; i++){
			ar[0][i] = malloc(sizeof(int) * M);
		}
		for (i = 0; i < N; i++){
			for (j = 0; j < M; j++){
				ar[0][i][j] = 0;
			}
		}
	}

	return;
}

void double_1d_dynamic(double ** ar, int N){

	int i; 

	*ar = malloc(sizeof(double) * N);
	if (*ar){
		for (i = 0; i < N; i++){
			ar[0][i] = 0.0;
		}
	}

	return;
}

void double_2d_dynamic(double *** ar, int N, int M){

	int i; int j;

	*ar = malloc(sizeof(double*) * N);
	if (*ar){
		for (i = 0; i < N; i++){
			ar[0][i] = malloc(sizeof(double) * M);
		}
		for (i = 0; i < N; i++){
			for (j = 0; j < M; j++){
				ar[0][i][j] = 0.0;
			}
		}
	}


	return;
}
